from turtle import *
from random import randint

def square(length):
    forward(length)
    right(90)
    forward(length)
    right(90)
    forward(length)
    right(90)
    forward(length)
    right(90)

def iterative_square(length):
    for i in range(4):
        forward(length)
        right(90)

def simple_star():
    for i in range(36):
        forward(100)
        backward(100)
        right(10)

def asterisk_star(length, spokes):
    angle = 360.0/spokes
    
    for i in range(spokes):
        forward(length)
        backward(length)
        right(angle)
        
def simple_spiral():
    for i in range(50):
        forward(i*5)
        right(55)
        
# a good example, is side = 200 and angle = 89
def spiral(sides, angle):
    for i in range(sides):
        forward(i*5)
        right(angle)
    
def rotating_circles(radius, num):
    angle = 360.0/num
    
    for i in range(num):
        circle(radius)
        right(angle)

def scribble(num_lines):
    for i in range(num_lines):
        x = randint(-100,100)
        y = randint(-100,100)
        goto(x,y)
        
def walk(num_steps, step_size):
    for i in range(num_steps):
        angle = randint(-90, 90)
        right(angle)
        forward(step_size)

def pretty_picture():
    for i in range(10):
        # get some random values
        spokes = randint(5, 30)
        length = randint(10, 60)
        angle = randint(-90,90)
        move = randint(20, 100)

        # move randomly somewhere else
        right(angle)
        forward(move)
        
        # draw a random star there
        asterisk_star(length, spokes)